Bug 249668 - XEmacs often crashes when "VI emulation" is activated.
XEmacs often crashes when "VI emulation" is activated.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xemacs (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Novotny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 06:58 EDT by Jay Turner
Modified: 2015-01-07 19:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 11:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bz2 core file (5.23 MB, application/x-bzip)
2007-07-26 06:58 EDT, Petr Sklenar
no flags Details
a patch for vi emulation crash (537 bytes, patch)
2008-10-31 10:25 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Petr Sklenar 2007-07-26 06:58:34 EDT
Description of problem:
Xemacs crashes when activating VI emulation. Sometimes it crashes immediately
when activated. Sometimes "Vi emulation" has to be unactivated and then
activated again. If not crashed, try close xemacs and launch again.

Version-Release number of selected component (if applicable):

xemacs-21.4.15-11.EL4.i386

How reproducible:
Always

Steps to Reproduce:

Used vncserver and vncviewer.
1. xemacs
2. Push Option>Keyboard and mouse > VI emulation
3. Questions of Xemacs a) "Inhibit startup message" ... yes/no, b) "Level of
familiarity with emac" ... scale 1 to 5 , c) "made this change permanent" ... yes/no
## check whatever, it seems it doesn't matter, if u check positively question
"made it permanent" next time it would crash right away when "VI emulation" is
activated
4. Xemacs crashes, It writes "core dump" or "Segmentation fault"

  
Actual results:
Xemacs crashes when VI emulation is activated.

Expected results:
Activation of VI emulation

Additional info:
core file in attachment is compromised, orig was more than 20MB
Comment 1 Petr Sklenar 2007-07-26 06:58:39 EDT
Created attachment 160004 [details]
bz2 core file
Comment 2 Red Hat Bugzilla 2007-10-31 21:30:50 EDT
User psklenar@redhat.com's account has been closed
Comment 3 Daniel Novotny 2008-10-31 10:25:53 EDT
Created attachment 322073 [details]
a patch for vi emulation crash

if we make assertions non-fatal, this crash is avoided and everything seems to work OK...
Comment 4 RHEL Product and Program Management 2008-11-04 10:56:31 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Daniel Novotny 2010-03-18 11:32:50 EDT
4.9 is the last regular update of RHEL4 and it should be minimal. Closing this
bug, as this works correctly in RHEL5.

Note You need to log in before you can comment on or make changes to this bug.